%initialization for the vehicle on a track with boundaries example

clear all                                                               
                                                                        
% initial conditions                                                    
x0 = [0;0;pi/4;2];                                                                                               
                                                                        
% simulation horizon                                                    
T = 15;                                                                 
J = 20;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               

%solver tolerances
RelTol = 1e-8;
MaxStep = .01;