%initialization for the interconnection of bouncing ball and moving
%platform example

clear all                                                               
                                                                        
% initial conditions                                                    
x1_0 = [1; 0];                                                          
x2_0 = [.5; 0];                                                                                                           
                                                                        
% simulation horizon                                                    
T = 18;                                                                 
J = 20;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                     
    
%solver tolerances
RelTol = 1e-8;
MaxStep = .005;                                                  